Change company status
curl --request POST \
--url https://ivs.idenfy.com/kyb/companies/{id}/change-status/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://ivs.idenfy.com/kyb/companies/{id}/change-status/"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://ivs.idenfy.com/kyb/companies/{id}/change-status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://ivs.idenfy.com/kyb/companies/{id}/change-status/")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{}")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyb/companies/{id}/change-status/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyb/companies/{id}/change-status/"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{}")
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyb/companies/{id}/change-status/")
.post(body)
.addHeader("Authorization", "Basic <encoded-value>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://ivs.idenfy.com/kyb/companies/{id}/change-status/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){}Change company status
Note that the status cannot be changed from PENDING and PROCESSING statuses.
POST
/
kyb
/
companies
/
{id}
/
change-status
/
Change company status
Authorizations
The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.
Path Parameters
A unique value identifying this company.
Body
application/json
- Option 1
- Option 2
- Option 3
Available options:
PENDING, PROCESSING, NEED_TO_PROCESS, NEED_TO_REVIEW, COMPLETED Response
200 - application/json
- Option 1
- Option 2
- Option 3
Available options:
PENDING, PROCESSING, NEED_TO_PROCESS, NEED_TO_REVIEW, COMPLETED Was this page helpful?
⌘I